1

Тема: Need help with ttyhlauncher

I built ttyhlauncher by myself and I have success to build the EXE which need many DLLs, I would like to build the static version, but the Quazip always error, what should I do for it, Please help me.
Thank-you.

Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36

2

Re: Need help with ttyhlauncher

Please post your error log. Also - did you build quazip static lib?

Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0

3

Re: Need help with ttyhlauncher

Sorry, I am not really know about QT.
Can you teach me how to build quazip static lib (or give me the files has been built) and how to use it.
Thank-you very much.

Error log:

E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN8QuaCrc32C1Ev'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN8QuaCrc329calculateERK10QByteArray'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZipC1ERK7QString'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZip4openENS_4ModeEP19zlib_filefunc_def_s'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN10QuaZipFileC1EP6QuaZipP7QObject'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZip13goToFirstFileEv'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN10QuaZipFile5closeEv'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZip12goToNextFileEv'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN10QuaZipFile4openE6QFlagsIN9QIODevice12OpenModeFlagEE'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZNK6QuaZip18getCurrentFileNameEv'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZip5closeEv'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN10QuaZipFileD1Ev'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZipD1Ev'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN10QuaZipFileD1Ev'
E:\[Garry]\MineWorldProject\MWLauncher\util.cpp:-1: error: undefined reference to `_imp___ZN6QuaZipD1Ev'
:-1: error: ./release\util.o: bad reloc address 0x13 in section `.eh_frame'
collect2.exe:-1: error: error: ld returned 1 exit status

Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36

4

Re: Need help with ttyhlauncher

You need to read "Building, testing and installing" section of QuaZIP information page: http://quazip.sourceforge.net/index.html

By default, QuaZIP compiles as a DLL/SO, but you have other options:

  • Just copy appropriate source files to your project and use them, but you need to define QUAZIP_STATIC before including any QuaZIP headers (best done as a compiler option). This will save you from possible side effects of importing/exporting QuaZIP symbols.

  • Compile it as a static library using CONFIG += staticlib qmake option. QUAZIP_STATIC is defined automatically by qmake in this case.

Binary compatibility is guaranteed between minor releases starting with version 0.5, thanks to the Pimpl idiom. That is, the next binary incompatible version will be 1.x.

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0

5

Re: Need help with ttyhlauncher

Вот это да. Забугорные дядки в наш ттюх играют...

Mozilla/5.0 (Windows NT 10.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36

6 Отредактировано GarryLai (10.08.2017 16:45:53)

Re: Need help with ttyhlauncher

Thank-you very much, I fixed that error, but how to use openssl in QT static build??
Error Log:

Error! Protocol "https" is unknown

Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36

7

Re: Need help with ttyhlauncher

You need to read about how to deploy static Qt application here: https://wiki.qt.io/Build_Standalone_Qt_ … or_Windows

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0